"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComentarioDto = exports.comentarioSchema = void 0;
const exports_1 = require("../../exports");
const translate_1 = require("../../i18n/translate");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = require("zod");
exports.comentarioSchema = zod_1.z.object({
    id: zod_1.z.string().uuid({
        message: (0, translate_1.translate)('model.comentario.id.uuid'),
    }),
    content: zod_1.z.string().min(1, {
        message: (0, translate_1.translate)('model.comentario.content.min'),
    }),
    createdBy: exports_1.cuentaSchema.shape.id,
    created_at: zod_1.z.string().datetime(),
    updated_at: zod_1.z.string().datetime(),
});
class ComentarioDto extends (0, zod_nestjs_1.createZodDto)(exports.comentarioSchema) {
}
exports.ComentarioDto = ComentarioDto;
//# sourceMappingURL=comentario.dto.js.map