"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EtiquetaDto = exports.etiquetaSchema = void 0;
const grupo_etiqueta_dto_1 = require("../../grupo-etiqueta/dto/grupo-etiqueta.dto");
const translate_1 = require("../../i18n/translate");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = require("zod");
const prisma_schema_1 = require("../../../types/prisma-schema/index.js");
exports.etiquetaSchema = zod_1.z.object({
    id: zod_1.z.string().uuid({
        message: (0, translate_1.translate)('model.etiqueta.id.uuid'),
    }),
    name: zod_1.z
        .string({
        required_error: (0, translate_1.translate)('model.etiqueta.name.required'),
    })
        .min(1, {
        message: (0, translate_1.translate)('model.etiqueta.name.min'),
    }),
    groupId: grupo_etiqueta_dto_1.grupoEtiquetaSchema.shape.id,
    type: zod_1.z.nativeEnum(prisma_schema_1.TipoEtiqueta, {
        message: (0, translate_1.translate)('model.etiqueta.type.invalid'),
    }),
    created_at: zod_1.z.string().datetime(),
    updated_at: zod_1.z.string().datetime(),
});
class EtiquetaDto extends (0, zod_nestjs_1.createZodDto)(exports.etiquetaSchema) {
}
exports.EtiquetaDto = EtiquetaDto;
//# sourceMappingURL=etiqueta.dto.js.map