"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventoDto = void 0;
const etiqueta_dto_1 = require("../../etiqueta/dto/etiqueta.dto");
const translate_1 = require("../../i18n/translate");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = require("zod");
const eventoSchemaBase = zod_1.z.object({
    id: zod_1.z.string().uuid({ message: (0, translate_1.translate)('model.evento.id.uuid') }),
    name: zod_1.z.string().min(1, (0, translate_1.translate)('model.evento.name.required')),
    date: zod_1.z
        .string({
        required_error: (0, translate_1.translate)('model.evento.date.required'),
    })
        .date((0, translate_1.translate)('model.evento.date.invalid')),
    location: zod_1.z.string().min(1, (0, translate_1.translate)('model.evento.location.required')),
    etiquetaAsistioId: etiqueta_dto_1.etiquetaSchema.shape.id,
    etiquetaAsistio: etiqueta_dto_1.etiquetaSchema,
    etiquetaConfirmoId: etiqueta_dto_1.etiquetaSchema.shape.id,
    etiquetaConfirmo: etiqueta_dto_1.etiquetaSchema,
    eventoPadreId: zod_1.z
        .string()
        .uuid({
        message: (0, translate_1.translate)('model.evento.id.uuid'),
    })
        .optional(),
    created_at: zod_1.z.string().datetime(),
    updated_at: zod_1.z.string().datetime(),
});
const eventoSchema = eventoSchemaBase.extend({
    eventoPadre: zod_1.z.lazy(() => eventoSchema),
    subEventos: zod_1.z.array(zod_1.z.lazy(() => eventoSchemaBase)),
});
class EventoDto extends (0, zod_nestjs_1.createZodDto)(eventoSchema) {
}
exports.EventoDto = EventoDto;
//# sourceMappingURL=evento.dto.js.map