"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GrupoEtiquetaDto = exports.grupoEtiquetaSchema = void 0;
const translate_1 = require("../../i18n/translate");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = require("zod");
exports.grupoEtiquetaSchema = zod_1.z.object({
    id: zod_1.z.string().uuid({
        message: (0, translate_1.translate)('model.grupoEtiqueta.id.uuid'),
    }),
    name: zod_1.z.string().min(1, {
        message: (0, translate_1.translate)('model.grupoEtiqueta.name.required'),
    }),
    color: zod_1.z
        .string()
        .length(7)
        .startsWith('#', {
        message: (0, translate_1.translate)('model.grupoEtiqueta.color.invalid'),
    })
        .toLowerCase(),
    isExclusive: zod_1.z.boolean(),
    created_at: zod_1.z.string().datetime(),
    updated_at: zod_1.z.string().datetime(),
});
class GrupoEtiquetaDto extends (0, zod_nestjs_1.createZodDto)(exports.grupoEtiquetaSchema) {
}
exports.GrupoEtiquetaDto = GrupoEtiquetaDto;
//# sourceMappingURL=grupo-etiqueta.dto.js.map